Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
scheduled-changes
List scheduled changes
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/scheduled-changes \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "12ab3c45de678910abc12345",
      "_creationDate": "1654123897062",
      "_maintainerId": "12ab3c45de678910abc12345",
      "_version": 1,
      "executionDate": "1636558831870",
      "instructions": "[ { \"kind\": \"turnFlagOn\" }]",
      "conflicts": "<unknown>",
      "_links": {}
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

Response

Scheduled changes collection response

items
object[]
required

Array of scheduled changes

The location and content type of related resources